Subject: [I2nsf] let's get together Tuesday 8:30am - 9:30am to discuss consistency issue of multiple drafts on Information & data models: (RE: On Information Models [Was: need some work to improve the consistency of I2NSF Information and data model: maybe a design team?]

From: Linda Dunbar <[email-masked]>
Date: Mon, 17 Jul 2017 13:11:26 +0000

Based on the Doodle pool, Tuesday 8:30am - 9:30am is a good time. I will try to find a conference room for the meeting.

Linda

From: Adrian Farrel [mailto:[email-masked]]
Sent: Monday, July 17, 2017 11:50 AM
To: 'John Strassner' <[email-masked]>; Linda Dunbar <[email-masked]>
Cc: [email-masked]
Subject: On Information Models [Was: need some work to improve the consistency of I2NSF Information and data model: maybe a design team?]

Taking John's three points separately (and in reverse order)

3) Yes, traceability back from DM to IM is very valuable and is a strong should for the WG because the WG has decided that IMs are a deliverable.

2) I think we should lean very heavily on RFC3444 for our definition of IM and DM. This might not be consistent with every view of those terms, but it is what the IETF has consensus on and absent any changes across the OPS area, we should stick with it.

I am sure that the current documents can be improved to be clearer on what information is "in the model" and to separate out other interface-specific requirements, but that is "work in progress".

1) Consistency across models is important. As is coherence across the whole of the I2NSF space. And there will clearly be mapping of information at one interface to information at another interface. But I don't quite understand the "one IM versus many IMs" discussion. Arguably we could say that the whole universe has a single IM, but I think we can also agree that it is convenient to break out pieces so that our scope a field of vision is limited. The attempt here is to partition the IM into "information modules" that describe the information at each interface, and it is convenient to place these pieces (modules) in separate documents.

Does any of that help?

Adrian

From: I2nsf [mailto:[email-masked]] On Behalf Of John Strassner
Sent: 16 July 2017 18:36
To: Linda Dunbar; John Strassner
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [I2nsf] need some work to improve the consistency of I2NSF Information and data model: maybe a design team?

I cannot attend Prague due to family health issues.

That being said, I agree with Linda. I see three major problems:

   1) There should be one, and only one, information model.
        a) It is great to have multiple contributions, but those contributions MUST be written to enhance the existing model, not propose a new one
   2) In general, some of the info models are not really **models** per se, but rather, requirements for models.
   3) In general, I cannot trace data model work back to the info model work.
       a) This is especially true for drafts that are trying to use or define policies

I propose that draft-xibassnez is used for our info model. This means that the other info model drafts SHOULD be restructured to add to that draft.

I propose that we wait on further data model draft definition until some people (I will help) on the design team can formulate guidelines and perhaps examples to properly derive data models from our info model.

regards,
John

On Fri, Jul 14, 2017 at 9:27 AM, Linda Dunbar <[email-masked]<mailto:[email-masked]>> wrote:
Thanks to many people contributions. We now have many drafts on the information model and data model for I2NSF:

Information model:
draft-xibassnez-i2nsf-capability-02
draft-zhang-i2nsf-info-model-monitoring-04
draft-hyun-i2nsf-registration-interface-im-02
draft-kumar-i2nsf-client-facing-interface-im-03
draft-xia-i2nsf-security-policy-object-01

Data Model:
draft-hares-i2nsf-capability-data-model-03
draft-jeong-i2nsf-consumer-facing-interface-dm-02
draft-kim-i2nsf-nsf-facing-interface-data-model-02
draft-hyun-i2nsf-registration-interface-dm-01

But the problem is that they are not all consistent.  Extra work is needed to improve the consistency for I2NSF information and data models for both Client/Consumer facing and NSF facing interfaces.
So we are going to form a design team to work on it.

If you are interested in participate, please click on this doodle poll: https://doodle.com/poll/4ryrcw3993fbf7ca

For people not in Prague, we can set up a Webex for you to call in.

Thank you very much for the contribution.

Linda & Adrian

_______________________________________________
I2nsf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/i2nsf

--
regards,
John